There are fourteen work packages (WPs) with the following goals: 

1. Revise and maintain the UML representations of the conceptual model(s). 
1. Design and implement the standards document(s). 
1. Revise the level-of-detail (LoD) concept. 
1. Remove root-level inheritance from GML and separation of conceptual model and encodings. 
1. Develop a method to keep CityGML synchronized with changing GML versions. 
1. Develop a representation for changing content of entire models or parts of a model. This includes time-sequences of successive representations,  simultaneously existing alternate versions, mobile objects, and dynamic objects.
1. Develop a materials module and/or revise the textured surfaces module. 
1. Develop a representation for land administration. 
1. Develop a representation for non-building building-like structures. 
1. Develop a representation for utility networks.
1. Develop a representation for volumetric construction and work toward harmonization with the Industry Foundation Classes (IFC).
1. Develop representation for metadata, complex attributes, and harmonize with INSPIRE. 
1. Develop a representation for storeys  (Am. “stories”)  and other new semantic constructs. 
1. Develop or a mechanism for parameterized implicit geometries.

WP teams will work as much as possible in parallel between now and March 2015. During this time, the WPs will periodically report back to the whole SWG on issues and progress. In March 2015 the WPs will begin to work together to discover and resolve conflicts. When that negotiation phase is complete, the WP teams will formally submit their proposed solutions to the SWG. 

Two WPs (UML Editor and Standard Editor) have an ongoing editing and integration role. 

For details of the work process approved by the OGC, please refer to the CityGML 3.0 Development Process document at
[CityGML3.0 Development Process](https://github.com/opengeospatial/d.txt)