This is the public repository for CityGML 3.0 development. Both this repository and its corresponding wiki (as well as the private repository and wiki) have some naming rules to allow the individual work packages to avoid collisions. This applies to the root of each work package's subtree only. Structure within the wikis and repositories below the root of a work package is at the discretion of the work package team.

### Page Naming

One thing that must be pointed out is that the wikis have a completely flat structure (even though it is theoretically possible to have one level of subdirectories). This means that all of the pages in an entire wiki must have names that are prefixed with the work package ID. For the public wiki, this means the title of every page must start with the string "WPbNNb", where "b" is a space character and NN is the two-digit work package number. For the private wiki each page name must begin with "PWPbNNb". For example, WP 03 pages in the public wiki might be named "WP 03 A Special Page" and in the private wiki the same page would be "PWP 03 Another Special Page". Further, the names cannot contain characters that would make them invalid file names in OSX, Linux, or Windows. GitHub will not complain about many kinds of page names that don't work so keeping them simple is a good idea.

### Page linking

New pages are connected to a work package home page (its "root") using links. I have created a bit of hierarchy in the wikis as an example. I have also created all of the roots of the subtrees to be maintained by the individual work packages. All new pages created by work packages should be descendants of these roots. It is possible to link to a wiki page from another wiki but GitHub treats the remote page as text rather than markup so this is not a practical thing to do. On the other hand, there is no problem linking to files in the private repository from the public wiki. I have not yet tested whether this in fact prevents a non-member of the private repository from seeing private linked content, though it would be surprising if GitHub doesn't handle the access right correctly. 

### Resources

I have created subdirectories in both repos for the individual work packages. Work packages can have any directory structure they please below these work package root directories. We will probably have presentations and reports outside of the work package subtrees but this might change after some experience and discussion. For now, the work packages control the work package subtrees and the chairs and OGC staff control the other subtrees.

