## Work Package 01: UML Model Editor

***
## Description
This work package encapsulates the ongoing activity of maintaining the CityGML UML model in the Master branch of the CityGML 3.0 private repository. The Editor function is conceptually a single person but the work may be carried out by more than one person as long as all editors act in coordination as a single entity. The term "Editor" is a symbol representing this single entity.

## Responsibilities
The Editor is responsible for
* maintaining a valid Enterprise Architect project with a model reflecting the current draft conceptual model
* receiving edited models from work package teams that have completed some or all of their work
* where no conflicts exist, incorporating changes from a work package team into the model
* where conflicts exist, describing the nature and possible ways of resolving the conflicts in a report to the SWG, which will either select one of the presented conflict resolutions, suggest another conflict resolution, or ask the work package team to revise their changes to eliminate the conflict

***
## Participants: 
* Tatjana Kutzner | kutzner(at)tum.de | TUM / SIG 3D with role: **Editor**
* Claus Nagel | cnagel(at)virtualcitysystems.de | virtualcitySYSTEMS / SIG 3D with role: **Editor** / **Co-Editor**
* Jürgen Ebbinghaus | juergen.ebbinghaus(at)aed-sicad.de.de | AED-SICAD / SIG 3D with role: **Co-Editor**
* Gerhard Gröger | groeger(at)igg.uni-bonn.de | IGG/SIG 3D with role **Contributor**
* Linda van den Brink | l.vandenbrink(at)geonovum.nl with role **Contributor**
* Joachim Benner | joachim.benner(at)kit.edu | KIT/SIG 3D with role **Observer**
* Heino Rudolf | hrudolf(at)moss.de | M.O.S.S. with role **Observer**

## Public Resources

[Sample public resource for WP 01](https://github.com/opengeospatial/CityGML-3.0/blob/master/WP%2001%20Resources/Sample.txt)

## Private Resources

[Sample private resource for WP 01](https://github.com/opengeospatial/CityGML-3.0-WP-Private/blob/master/WP%2001%20Resources/Sample.txt)
