Crucial questions for WP 03 (provided by Gerd Gröger):

1. Shall the CityGML Spec define a) concrete LoDs, or b) provide a mechanism for defining LoDs by communities? In b), the spec. can define a list of aspects which are the base of the LoD definition (in principle, an LoD is a vector providing a value or a range of values for each aspect). However, in b) interoperability is affected since the different LoD labels are not standardized. 

1. Shall a) semantics be included in the LoD definition? Or shall b) an LoD cover only the geometrical complexity (or other aspects related to geometry) for each feature type (as in Claus’ approach)?

1. How obligatory and precise shall the definition of the LoD be (in in the case that LoD are defined in the spec., 1.a)? Shall the definition be a a) suggestion which is vague and ambiguous as in the current concept, or b) precise, obligatory and binding? 

1. Shall the LoD concept be defined for the building module first (a) and then adapted for other models, or b) shall a LoD concept be defined from the beginning for all feature types? We decided in WP 3 to define first the LoD concept for the building model (which is the module with the largest complexity), and then discuss the adaption to other modules. From my point of view, this approach is more general and does not exclude options from the very beginning. If a general concept for all modules is developed first, the role of semantics is not significant. 

1. What is the difference between LoD and metadata? There are two differences: a) an LoD label corresponds to a set of meta data values and provides a concise, short term for this set. b) an LoD concept allows for multiple representation of a feature simultaneously. Metadata cannot accommodate for this. Of course, metadata completes an LoD and provides additional information. 

1. Which aspects shall be considered in the LoD concept? The following list is a first proposal: 
    1. geometrical complexity (e.g., no. of polygons)
    1. geometrical detail level
    1. geometrical resolution
    1. geometrical accuracy (deviation from real world)
    1. semantical richness (feature types)
    1. attributes
    1. appearance
    1. topology

7. What are the strengths and weaknesses of the current LOD concept (use cases, examples, related work) and which of the problems are solved by the new / modified LOD concept? 

8. Are the modifications justified? (e.g. a little gain in precision does not justify a huge increase in complexity or a great loss in backwards compatibility)

9. What is the relation between the original and the modified / new LOD concept? There must be a simple upgrade path: fully automatic data migration must be possible, a simple and convincing communication strategy must be provided that data providers and software vendors can adopt when talking to their clients

