Minutes of telecon WP09 12 January 2015

Agenda: 
- Discuss semantic construction parts based on examples (to be provided by Heinrich)
- Codelists

Present: 
- Linda
- Heinrich
- Joachim
- Gerhard
- Volker

### UML model
Before starting with the discussion on construction parts, the UML model as shown by Dimitri was briefly discussed. There was some question whether there were any changes needed to the model. We confirmed that those present in the telecon agree this is still the current model. Specifically raised were these points: 
- Is it okay that CityFurniture is positioned in the OtherConstructions module? No objections from those present.
- (Gerhard:) OtherConstruction has a dynamic definition, depending on other classes. True, but it is stable in the context of one version of CityGML.
- (Gerhard:) The name of the class OtherConstruction is not ideal. But we have no alternative suggestions. 

### Construction parts discussion

Heinrich presented a [proposal](https://github.com/opengeospatial/CityGML-3.0/blob/master/WP%2009%20Resources/Meetings/4th/WP09-discuss-semantic-construction-parts%20.pdf) and motivation for modeling construction parts and construction utilities. This could be done analog to the modeling of building parts and -installations in CityGML 2.0. 

A possible motivation for modeling construction parts and -installations comes from legislation. Construction parts are relevant, and mentioned, in German legislation. Installation parts are mentioned in European environmental legislation. Legislation processes are a CityGML use case. 

‘part’= structural part of the whole construction
‘installation’= not structural, but technical part of construction (like building installation). 

Joachim and Gerhard raised an argument against modeling construction parts:
OtherConstruction is a generic thing, making it difficult to define its parts. It would have to be defined for each variety of OtherConstruction. 

The conclusion of those present after discussion is: construction parts & installations will NOT be modeled in our proposal for the OtherConstruction module, but postponed to a future version of CityGML, in which more specific construction classes would be added. I.e. there would be no class OtherConstructionPart in future, but there could be a WindmillPart. 

### Codelists
Those present agreed to discuss with the SWG at the Barcelona meeting three questions related to codelists that frequently came up in our discussions: 
- Question 1: Should CityGML 3.0 have normative or informative codelists?
- Question 2: Should CityGML 3.0 have hierarchic or flat codelists?
- Question 3: Should CityGML 3.0 codelists be extensible & if yes how? Only at the leafs or also at higher branches?

All these questions have potential impact on the work on the 3.0 version. The consequences of choosing to have normative and/or hierarchic and/or extensible codelists should be discussed with the SWG. There would at least need to be a codelists working package and CityGML 2.0 codelists that up till now were not under revision, would possibly have to be revised. 

Before knowing the answer to these questions, i.e. between now and the Barcelona meeting, we can already work on the contents of the OtherConstruction codelists (at least the most detailed level). 

**Action** Gerhard, Heinrich, Joachim: to provide English translation of relevant ALKIS feature types. At the next telecon we will discuss this, and compare the ALKIS terms to the draft codelists we have (that were based on IMGeo). 

### Next telecon
- First option: monday 2 February 10 – 11 AM CET
- Second option: wednesday 4 february 10-11 AM CET. 

**Action** Linda: confirm date with Dimitri.

